Name:		kbibtex
Version:	0.1.5
Release:	6%{?dist}
Summary:	A BibTeX editor for KDE  

Group:		Applications/Editors
License:	GPL
URL:		http://www.unix-ag.uni-kl.de/~fischer/kbibtex/
Source0:	http://www.unix-ag.uni-kl.de/~fischer/kbibtex/download/kbibtex-%{version}.tar.bz2
Patch0:		kbibtex-0.1.5-filteredselection.patch
Patch1:		kbibtex-0.1.5-gcc4.2.patch
Patch2:		kbibtex-0.1.5-viewdocument.patch
Patch3:		kbibtex-0.1.5-storesearchurls.patch
Patch4:		kbibtex-0.1.5-webquerypubmedmultiplequeries.patch
Patch5:		kbibtex-0.1.5-xslthtmlexport.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel >= 3.3 libxslt-devel desktop-file-utils
#Requires:       
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
KBibTeX is a BibTeX editor for KDE

%prep
%setup -q
%patch0 -p0 -b .filteredselection
%patch1 -p0 -b .gcc4.2
%patch2	-p0 -b .viewdocument
%patch3 -p1 -b .storesearchurls
%patch4 -p1 -b .webquerypubmedmultiplequeries
%patch5 -p1 -b .xslthtmlexport

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#
# Replace original .desktop files with proper ones
#
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--delete-original	\
	${RPM_BUILD_ROOT}%{_datadir}/services/kbibtex_part.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--delete-original \
	${RPM_BUILD_ROOT}%{_datadir}/applnk/Office/kbibtex.desktop

#
# Install the icons into the hicolor folder
#
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/128x128/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/128x128/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/128x128/apps/kbibtex.png
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/16x16/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/16x16/apps/kbibtex.png
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/22x22/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/22x22/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/22x22/apps/kbibtex.png
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/32x32/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/32x32/apps/kbibtex.png
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/48x48/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/48x48/apps/kbibtex.png
install -D ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/64x64/apps/kbibtex.png \
	${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/64x64/apps/kbibtex.png
rm  ${RPM_BUILD_ROOT}%{_datadir}/icons/crystalsvg/64x64/apps/kbibtex.png

%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO

%{_bindir}/kbibtex

%{_libdir}/kde3/libkbibtexpart.la
%{_libdir}/kde3/libkbibtexpart.so

%{_datadir}/apps/kbibtexpart/ 
%{_datadir}/apps/kbibtex/ 
%{_docdir}/HTML/en/kbibtex/ 
%{_datadir}/icons/hicolor/128x128/apps/kbibtex.png
%{_datadir}/icons/hicolor/16x16/apps/kbibtex.png
%{_datadir}/icons/hicolor/22x22/apps/kbibtex.png
%{_datadir}/icons/hicolor/32x32/apps/kbibtex.png
%{_datadir}/icons/hicolor/48x48/apps/kbibtex.png
%{_datadir}/icons/hicolor/64x64/apps/kbibtex.png

%{_mandir}/man1/kbibtex.1.gz

%{_datadir}/applications/fedora-kbibtex.desktop
%{_datadir}/applications/fedora-kbibtex_part.desktop

%changelog
* Wed Mar 21 2007 Christian Nolte <ch.nolte at noltec.org> - 0.1.5-6
- latest patches (storesearchurls, webquerypubmedmultiplequeries,
  xslhtmlexport)
  
* Sun Oct 29 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-3
- rebuild (patches were not checked in)

* Sun Oct 29 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-2
- latest released patches (filteredselection,gcc4.2,viewdocument)

* Wed Oct 18 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-1
- Update to 1.5.0

* Wed Apr 27 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.4-1
- Update to the version 0.1.4

* Fri Dec 23 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-3
- Patch to resolve an error when this package is compiled with gcc 4.1.0

* Tue Dec 13 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-2
- BUG 17556 - package review: fixed all problems

* Mon Dec 12 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-1
- Version 0.1.3
